#include <iostream>
#include <string>
using namespace std;

int broj(int x){
    int broj=0;
    if(x==1 || x==2 || x==5)
        broj=1;
    if(x==3 || x==4 || x==6 || x==7)
        broj=2;
    if(x==8 || x==9)
        broj=3;
    return broj;
}
int main()
{
    string s;
    cin>>s;
    int br=0,i=0;
    while(i<=s.length()){
        int x = (int)s[i] - 48;
        br = br + broj(x);
        i++;
    }
    cout<<br;
}